I'm runnin a 2010 macbook pro with 10.6.3 and want to upgrade to any 10.8 is my computer able to run this and will it upgrade it so i can run logic 9?

Help I'm new to using macs!

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Your 2010 MacBook Pro is on the list of supported models for Mountain Lion 10.8. Use Software Update to ensure you have the last release of Snow Leopard, 10.6.8, then open the Mac App Store to purchase Mountain Lion 10.8.

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions